PRAGMA user_version = 1;

/* Logging tables */
--   useraction table
CREATE TABLE useraction (
    'appsessionid'  INTEGER NOT NULL,
    'appversion'    TEXT
);
INSERT INTO useraction (appsessionid) VALUES (1);

--   appsession table to hold log records
CREATE TABLE appsession (
    'id'        INTEGER PRIMARY KEY NOT NULL,
    'sessionid' INTEGER NOT NULL,
    'action'    TEXT NOT NULL,
    'info1'     TEXT DEFAULT NULL,
    'info2'     TEXT DEFAULT NULL,
    'starttime' REAL NOT NULL,
    'endtime'   REAL DEFAULT NULL
);

/* Preferences tables */
--   prefs to hold a local copy of the application preferences
CREATE TABLE prefs (
    'name'      TEXT NOT NULL,
    'value'     TEXT DEFAULT NULL
);
