/* Upgrade script from schema 11.01 to 11.02*/

/* Offers tables */
--   Replace the existing offers table with the new one.
--   Data will automatically be filled in from the offers API when we start.
DROP TABLE offers;
CREATE TABLE offers (
    'id' INTEGER PRIMARY KEY AUTOINCREMENT,
    'offerid' INTEGER UNIQUE NOT NULL,
    'imageUrl' TEXT,
    'value' INTEGER NOT NULL DEFAULT 0,
    'type' INTEGER NOT NULL,
    'brand' TEXT,
    'summary' TEXT,
    'l1text' TEXT,
    'l2text' TEXT,
    'l3text' TEXT,
    'categoryid' INTEGER NOT NULL,
    'categorydesc' TEXT,
    'expirationdate' REAL,
    'activedate' REAL,
    'slot' INTEGER NOT NULL,
    'pSpt' INTEGER NOT NULL DEFAULT 0,
    'canHasADI' INTEGER NOT NULL DEFAULT 0,
    'cpn_state' INTEGER NOT NULL DEFAULT 0,
    'sc_state' INTEGER NOT NULL DEFAULT 0,
    'card_enabled' INTEGER NOT NULL DEFAULT 0,
    'stores' TEXT
);
